# -*- coding: utf-8 -*-

import datetime
import factory.django

from job_offers.models import JobOffer, ContractType, Category


class JobOfferFactory(factory.django.DjangoModelFactory):
    weight = 0
    reference = factory.Faker('uuid4')
    slug = factory.Faker('slug')
    location = factory.Faker('city')
    geo_area = factory.Faker('state')
    title = factory.Faker('paragraph')
    job_description = factory.Faker('paragraph')
    tags = factory.Faker('sentence')
    is_active = True
    contract_type = factory.Iterator(ContractType.objects.all())
    date = factory.Faker('date_time_between_dates',
                         datetime_start=datetime.date(2016, 6, 15),
                         datetime_end=datetime.date(2017, 6, 15),
                         )

    class Meta:
        model = JobOffer


class ContractTypeFactory(factory.django.DjangoModelFactory):
    class Meta:
        model = ContractType


class CategoryFactory(factory.django.DjangoModelFactory):
    class Meta:
        model = Category
